use std::{fs::read_link, path::PathBuf};

pub fn resolve_link(path: &PathBuf) -> PathBuf {
    let mut location = path.clone();
    while let Ok(next) = read_link(&location) {
        let base_path = location.parent().unwrap();
        let next_path = base_path.join(next);
        location = next_path;
    }
    location
}
